Bug 146062 - gnome-print does not detect default printer settings correctly
gnome-print does not detect default printer settings correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-print (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 21:14 EST by Jim
Modified: 2013-03-05 22:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 00:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim 2005-01-24 21:14:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
When attempting to print with a program that uses gnome-print (such as gedit or evolution), the proper print settings are not picked up the first time. The default for my printer (HP Deskjet 940C - configured manually) is Letter, but A4 is always selected. Some programs, such as Evolution, do not select the proper default printer (they select Generic Postscript). None of them select the proper default paper size for any user.

There is a workaround:
Just click Print, then Cancel. Click Print again and it will pick up the proper settings every time. If you want to avoid having to do this, you must leave the application running in the background. As soon as the application is restarted, the problem will manifest itself again.

Version-Release number of selected component (if applicable):
gnome-print-0.37-10

How reproducible:
Always

Steps to Reproduce:
1. Open gedit or evolution (any gnome-print program should work)
2. Click Print and look at the settings that it picks up
3. Click Cancel and Print again. Notice that the proper settings are selected now.
  

Actual Results:  Printer settings are ignored

Expected Results:  Printer settings are followed.

Additional info:

Non gnome-print applications, such as Firefox, OpenOffice.org, Thunderbird, as well as all KDE applications always select the proper printer.
Comment 1 Matthew Miller 2006-07-10 17:53:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-05 00:52:29 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.